Bug 105587 - makewhatis only updates main database
Summary: makewhatis only updates main database
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: man   
(Show other bugs)
Version: 9
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-25 21:13 UTC by Need Real Name
Modified: 2007-04-18 16:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-09 16:17:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2003-09-25 21:13:16 UTC
Description of problem:

The example in the man page for makewhatis shows that the whatis
database is created local to the directory specified in manpath
as stated here:

To rebuild only /usr/X11R6/man/whatis and /usr/local/man/whatis

              makewhatis /usr/X11R6/man /usr/local/man

In reality, the only whatis database being created or updated by 
the makewhatis program is the one in /var/cache/man/whatis.  
Can this be fixed?

Version-Release number of selected component (if applicable):

man-1.5k-6

How reproducible:

always

Steps to Reproduce:
1. makewhatis /usr/local/man
2.
3.
    
Actual results:

/var/cache/man/whatis is re-created using man pages from /usr/local/man.

Expected results:

/usr/local/man/whatis should have been created.

Additional info:

Comment 1 Eido Inoue 2003-10-09 16:17:18 UTC
release 11 and beyond of makewhatis now take an argument "-o" to allow one to
write a local copy of the makewhatis database anywhere.


Note You need to log in before you can comment on or make changes to this bug.